Page MenuHomePhabricator

build: move src/examples/ to a single makefile
ClosedPublic

Authored by zmike on Jul 19 2018, 5:14 PM.

Details

Summary

this greatly improves build times by improving parallelizing, though it
does introduce more BUILT_SOURCES usage which causes builds with cxx
bindings to take significantly longer

fix T7157
ref T7154

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 19 2018, 5:14 PM
zmike requested review of this revision.Jul 19 2018, 5:14 PM
zmike updated this revision to Diff 15802.Jul 23 2018, 4:45 AM
zmike edited the summary of this revision. (Show Details)
zmike added a comment.Jul 23 2018, 4:56 AM

Some additional notes:

  • This fixes some reliability issues with examples builds; prior to this patch my build fails 100% of the time due to some codegen-related file dependency issues
  • The result of this patch is currently a much longer examples build time due to linking taking longer. A future patch will help mitigate this.
zmike added a reviewer: vtorri.Aug 1 2018, 7:26 AM
zmike updated this revision to Diff 16061.Aug 2 2018, 8:03 AM
zmike edited the summary of this revision. (Show Details)

Not sure what i should review here, can someone confirm that it is working on windows ?

stefan_schmidt accepted this revision.Aug 3 2018, 4:38 AM
This revision is now accepted and ready to land.Aug 3 2018, 4:38 AM
This revision was automatically updated to reflect the committed changes.